package com.base.datarecovery.ads

import android.app.Activity
import com.base.datarecovery.ads.admob.AdmobInterstitialUtils
import com.base.datarecovery.ads.admob.AdmobOpenUtils
import com.base.datarecovery.ads.max.AdMaxInterstitialUtils
import com.base.datarecovery.ads.max.AdMaxOpenUtils
import com.base.datarecovery.help.ConfigHelper
import com.base.datarecovery.utils.LogEx

object AdmobMaxHelper {
    private val TAG=""

    fun admobMaxShowInterstitialAd(activity: Activity, onHidden: (() -> Unit)? = null) {
        if (ConfigHelper.admobTrueMaxFlase) {
            AdmobInterstitialUtils.showInterstitialAd(activity) {
                onHidden?.invoke()
            }
        } else {
            AdMaxInterstitialUtils.showInterstitialAd(activity) {
                onHidden?.invoke()
            }
        }
    }


}